{
    "fields": [
        {
            "doc": "International System for Human Cytogenetic Nomenclature (e.g.: \"46,XY\", \"46,XY,-5,-12,+t(5pl2p),+t(5ql2q)\")",
            "name": "iscn",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Full description of the karyotype",
            "name": "description",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "List of aneuploidies",
            "name": "aneuploidies",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "doc": "International System for Human Cytogenetic Nomenclature (.e.g: \"+14p+\", \"+t(13q21 q)\")",
                                "name": "iscn",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "The assembly",
                                "name": "assembly",
                                "type": {
                                    "doc": "The reference genome assembly",
                                    "name": "Assembly",
                                    "symbols": [
                                        "GRCh38",
                                        "GRCh37"
                                    ],
                                    "type": "enum"
                                }
                            },
                            {
                                "doc": "Chromosome involved in the aneuploidy",
                                "name": "chromosome",
                                "type": "string"
                            },
                            {
                                "doc": "Wheter the aneuploidy is for the whole chromosme or just a fragment",
                                "name": "complete",
                                "type": "boolean"
                            },
                            {
                                "doc": "Coordinates can be specified to indicate the part of the chromosome affected",
                                "name": "coordinates",
                                "type": [
                                    "null",
                                    {
                                        "fields": [
                                            {
                                                "doc": "The assembly to which this variant corresponds",
                                                "name": "assembly",
                                                "type": "Assembly"
                                            },
                                            {
                                                "doc": "Chromosome without \"chr\" prefix (e.g. X rather than chrX)",
                                                "name": "chromosome",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Start genomic position for variant (1-based)",
                                                "name": "start",
                                                "type": "int"
                                            },
                                            {
                                                "doc": "End genomic position for variant",
                                                "name": "end",
                                                "type": "int"
                                            },
                                            {
                                                "name": "ciStart",
                                                "type": [
                                                    "null",
                                                    {
                                                        "fields": [
                                                            {
                                                                "name": "left",
                                                                "type": "int"
                                                            },
                                                            {
                                                                "name": "right",
                                                                "type": "int"
                                                            }
                                                        ],
                                                        "name": "ConfidenceInterval",
                                                        "type": "record"
                                                    }
                                                ]
                                            },
                                            {
                                                "name": "ciEnd",
                                                "type": [
                                                    "null",
                                                    "ConfidenceInterval"
                                                ]
                                            }
                                        ],
                                        "name": "Coordinates",
                                        "type": "record"
                                    }
                                ]
                            },
                            {
                                "doc": "Number of copies",
                                "name": "numberOfCopies",
                                "type": "int"
                            }
                        ],
                        "name": "Aneuploidy",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Total number of chromosomes",
            "name": "numberOfChromosomes",
            "type": "int"
        },
        {
            "doc": "Kariotypic sex",
            "name": "personKaryotipicSex",
            "type": {
                "doc": "Karyotipic Sex",
                "name": "PersonKaryotipicSex",
                "namespace": "org.gel.models.participant.avro",
                "symbols": [
                    "UNKNOWN",
                    "XX",
                    "XY",
                    "XO",
                    "XXY",
                    "XXX",
                    "XXYY",
                    "XXXY",
                    "XXXX",
                    "XYY",
                    "OTHER"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Participant identifier",
            "name": "participantId",
            "type": "string"
        }
    ],
    "name": "Karyotype",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}